from otree.api import Currency as c, currency_range

from ._builtin import Page, WaitPage
from .models import Constants

class Input(Page):
    form_model = 'player'
    form_fields=['input_flg','student_choices']

    def error_message(self, values):

        tmplist=values['student_choices'].split(',')
        print()

        #入力形式のチェック
        check  = [x for x in tmplist if not x == 'None']# Noneの除去
        while len(check)<len(tmplist):
            check.append('None')
        if check[0]=='None':
            return "少なくともひとつの希望を入力してください"
        if not tmplist==check:
            return "選択肢は上から順番に埋めてください。"

        # 重複のチェック
        for t in Constants.teachers_dict:
            if tmplist.count(t) >= 2:
                return "選択に重複があります："+str(Constants.teachers_dict[t])


        self.player.reg_key = Constants.setting_list[self.participant.label]["reg_key"]
        self.player.belongs = Constants.setting_list[self.participant.label]["belongs"]

    def vars_for_template(self):
        return {
            'disp_name': self.participant.label
        }

class Confirm(Page):
    def vars_for_template(self):
        c=self.player.student_choices.split(',')

        tmp=[i for i in range(Constants.number_of_choices)]#初期化
        for i in range(Constants.number_of_choices):
            if c[i] == 'None':
                tmp[i] = "希望なし"
            else:
                tmp[i] = Constants.teachers_dict[c[i]]

        temp=zip(Constants.list_number_of_choices,tmp)


        return {
            'disp_name': self.participant.label,
            'choices':  temp,
        }




page_sequence = [
    Input,
    Confirm
]
